## set dynamic light markers to 0
execute as @e[type=marker,tag=dynbc] run scoreboard players set @s dynbclevel 0


###########################################################
## Add Items, Entities, Effects, Compatibility to Marker ##
###########################################################

## entities on fire - only if they are close to a player
execute if score f dynbclevel matches 1 as @e[predicate=dynamic_lights_by_creepermeyt:on_fire] at @s if entity @a[distance=..48] run function dynamic_lights_by_creepermeyt:internal/dynamiclight {level:15}

## max of 16 tnt
execute if score t dynbclevel matches 1 at @e[type=tnt,sort=random,limit=16] unless entity @s[nbt={fuse:1s}] run function dynamic_lights_by_creepermeyt:internal/dynamiclight {level:15}

## glowing effect for players
execute if score g dynbclevel matches 1 as @a[predicate=dynamic_lights_by_creepermeyt:is_glowing] at @s run function dynamic_lights_by_creepermeyt:internal/dynamiclight {level:10}

## glow squids :3
execute if score s dynbclevel matches 1 at @e[type=glow_squid] if entity @a[distance=..48] run function dynamic_lights_by_creepermeyt:internal/dynamiclight {level:10}

## items
execute if score - dynbclevel matches 1 run function dynamic_lights_by_creepermeyt:internal/genforitem {item:"torch",level:14}
execute if score - dynbclevel matches 0 run function dynamic_lights_by_creepermeyt:internal/genforallitems

## compatibility
execute unless score - dynbclevel matches -2 run function dynamic_lights_by_creepermeyt:compatibility/compatibility


###################################
## Generation/Deletion of Lights ##
###################################
execute as @e[type=marker,tag=dynbc] at @s run function dynamic_lights_by_creepermeyt:internal/markersgen with entity @s data
execute as @e[type=marker,tag=dynbc,tag=delete] run kill @s


## reschedule tick
execute unless score - dynbclevel matches -2 run schedule function dynamic_lights_by_creepermeyt:internal/tick 1t
execute if score - dynbclevel matches -2 run scoreboard objectives remove dynbclevel


